class AddDepartmentAppliesController < ApplicationController
  before_action :require_login, :check_auth

  def create
    department = CreateAddDepartmentApplyService.call(current_user, create_params)
    render_ok(id: department.id)
  rescue CreateAddDepartmentApplyService::Error => ex
    render_error(ex.message)
  end

  private
  def create_params
    params.permit(:name, :school_id, :remarks)
  end
end